common/models/Post.php
<?php

namespace common\models;

use Yii;
use yii\behaviors\TimestampBehavior;
use yii\helpers\VarDumper;

/**
 * This is the model class for table "post".
 *
 * @property int $id
 * @property int $user_id
 * @property string $title
 * @property string $description
 * @property string $category_id
 * @property int $due_date
 * @property int $completed
 * @property int $created_at
 * @property int $updated_at
 *
 * @property User $user
 */
class Post extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'post';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['user_id', 'title', 'due_date', 'category_id'], 'required'],
            [['user_id', 'completed', 'created_at', 'updated_at', 'category_id'], 'integer'],
            [['description', 'due_date'], 'string'],
            [['title'], 'string', 'max' => 255],
            [['user_id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['user_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('main', 'ID'),
            'user_id' => Yii::t('main', 'User ID'),
            'title' => Yii::t('main', 'title'),
            'description' => Yii::t('main', 'description'),
            'due_date' => Yii::t('main', 'date'),
            'completed' => Yii::t('main', 'completed'),
            'created_at' => Yii::t('main', 'Created At'),
            'updated_at' => Yii::t('main', 'Updated At'),
        ];
    }

    public function behaviors()
    {
        return [
            TimestampBehavior::className()
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUser()
    {
        return $this->hasOne(User::className(), ['id' => 'user_id']);
    }

    public function getImages()
    {
        return $this->hasMany(PostImage::className(), ['post_id' => 'id']);
    }

    public static function getPostCategories()
    {
        return [
            1 => Yii::t('main','Simple post'),
            2 => Yii::t('main','Creative post'),
            3 => Yii::t('main','Photo shot'),
            4 => Yii::t('main','Video shot'),
            5 => Yii::t('main','Animation'),

        ];
    }

    public static function getCategory($id)
    {
        if(key_exists($id, self::getPostCategories())) {
            return self::getPostCategories()[$id];
        }
    }

    public function getLimit($category_id)
    {
        $user_plan = Subscription::find()->where(['user_id' => Yii::$app->user->id, 'type' => 1,'status' => 1])->one();
        $posts_count = Post::find()->where(['user_id' => Yii::$app->user->id, 'category_id' => $category_id])->count();
        switch ($category_id){
            case 1:
                if($user_plan->plan->simple_post > $posts_count):
                    return true;
                endif;
                break;
            case 2:
                if($user_plan->plan->creative_post > $posts_count):
                    return true;
                endif;
                break;
            case 3:
                if($user_plan->plan->photo_shot > $posts_count):
                    return true;
                endif;
                break;
            case 4:
                if($user_plan->plan->video_shot > $posts_count):
                    return true;
                endif;
                break;
            case 5:
                if($user_plan->plan->animation > $posts_count):
                    return true;
                endif;
                break;
        }
       return false;
    }

    public function getComplete()
    {
        return $this->hasOne(PostComplate::className(), ['post_id' => 'id']);
    }
}

backend/controllers/PostController.php
<?php

namespace backend\controllers;

use common\components\AdminController;
use common\models\PostComplate;
use Yii;
use common\models\Post;
use common\models\PostSearch;
use yii\helpers\VarDumper;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * PostController implements the CRUD actions for Post model.
 */
class PostController extends AdminController
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Post models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new PostSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);
        $posts = Post::find()->all();

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
            'posts' => $posts
        ]);
    }

    /**
     * Displays a single Post model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
            'complete' => PostComplate::find()->where(['post_id' => $id])->one(),
        ]);
    }

    /**
     * Creates a new Post model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Post();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Post model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    public function actionComplete($id)
    {
        $model = new PostComplate();
        $post = $this->findModel($id);
        $model->setScenario('insert');
        if ($model->load(Yii::$app->request->post()) ) {
            $model->post_id = $id;
            if($model->save()) {
                $post->completed = 1;
                $post->save(false);
                $params = [
                    'model' => $post,
                ];
                Yii::$app->mailer->compose(['html' => 'post-complete'],$params)
                    ->setTo($post->user->email)
                    ->setFrom([Yii::$app->params['noreplyEmail'] => Yii::$app->name])
                    ->setSubject('Hazır Post')
                    ->send();
                return $this->redirect(['view', 'id' => $id]);
            }
        }

        return $this->render('complete', [
            'model' => $model,
        ]);
    }


    public function actionEditComplete($id)
    {
        $model = $this->findCompletedModel($id);
        $post = $this->findModel($model->post_id);
        $model->setScenario('insert');
        if ($model->load(Yii::$app->request->post()) ) {
            if($model->save()) {
                $post->completed = 1;
                $post->save(false);
                $params = [
                    'model' => $post,
                ];
                Yii::$app->mailer->compose(['html' => 'post-complete'],$params)
                    ->setTo($post->user->email)
                    ->setFrom([Yii::$app->params['noreplyEmail'] => Yii::$app->name])
                    ->setSubject('Hazır Post')
                    ->send();
                return $this->redirect(['view', 'id' => $model->post_id]);
            }
        }

        return $this->render('complete', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Post model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Post model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Post the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Post::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException(Yii::t('main', 'The requested page does not exist.'));
    }


    protected function findCompletedModel($id)
    {
        if (($model = PostComplate::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException(Yii::t('main', 'The requested page does not exist.'));
    }
}

frontend/controllers/PostController.php
<?php

namespace frontend\controllers;

use common\components\currency\CurrencyRate;
use common\models\FileUtils;
use common\models\PostComplate;
use common\models\PostImage;
use common\models\PostPlan;
use common\models\PricePlan;
use common\models\User;
use Yii;
use common\models\Post;
use common\models\PostSearch;
use yii\filters\AccessControl;
use yii\helpers\VarDumper;
use yii\imagine\Image;
use common\components\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * PostController implements the CRUD actions for Post model.
 */
class PostController extends Controller
{
    /**
     * {@inheritdoc}
     */

    public $rates;

    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => [''],
                'rules' => [
                    [
                        'actions' => ['index','create', 'view', 'delete', 'update', 'beyenmedim'],
                        'allow' => true,
                        'roles' => ['viewPostPage'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Post models.
     * @return mixed
     */
    public function actionIndex()
    {
        if (!Yii::$app->user->can('viewPostPage')) {
            return $this->render('not-subscribed');
        }
        $searchModel = new PostSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);
        $posts = Post::find()->where(['user_id' => Yii::$app->user->id])->all();
        $user = User::findOne(Yii::$app->user->id);
        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
            'posts' => $posts,
            'user' => $user
        ]);
    }

    public function actionIndex2()
    {
        $price_plans = PostPlan::find()->all();
        $rate = new CurrencyRate($_SESSION['currencies']);
        $this->rates = $rate->getRates();
        return $this->render('index2', [
            'price_plans' => $price_plans,
            'rate' => $this->rates,
        ]);
    }

    /**
     * Displays a single Post model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        if (!Yii::$app->user->can('viewPostPage')) {
            return $this->render('not-subscribed');
        }
        $completed = PostComplate::find()->where(['post_id' => $id])->one();
        return $this->render('view', [
            'model' => $this->findModel($id),
            'completed' => $completed
        ]);
    }

    /**
     * Creates a new Post model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        if (!Yii::$app->user->can('viewPostPage')) {
            return $this->render('not-subscribed');
        }
        $user = User::find()->where(['id' => Yii::$app->user->id])->one();

        $model = new Post();
        $posts = Post::find()->where(['user_id' => Yii::$app->user->id])->count();
        if ($model->load(Yii::$app->request->post())) {
            if($model->getLimit($model->category_id)) {
                $model->user_id = Yii::$app->user->id;
                $model->due_date = strtotime($model->due_date);
                $model->completed = 0;
//            VarDumper::dump($model->save(false),6,1);die;

                if($model->save(false)) {
                    if (!empty($_FILES['Post']['tmp_name']['images'])) {
                        foreach ($_FILES['Post']['tmp_name']['images'] as $key => $image) {
                            if (!empty($image)) {
                                $ext = FileUtils::getType($_FILES['Post']['type']['images'][$key]);
                                $imageName = substr(sha1(time() . rand(1000, 9999)), 0, 12) . '.' . $ext;
                                $mainImg = Yii::getAlias('@postRoot/') . $imageName;
                                $imgInfo = getimagesize($image);
                                $mainThumbImg = Yii::getAlias('@postThumbRoot/') . $imageName;

                                Image::thumbnail($image, $imgInfo[0], $imgInfo[1])->save($mainImg, ['quality' => 90]);
                                Image::thumbnail(
                                    $image,
                                    FileUtils::PRODUCT_THUMP_SIZE,
                                    FileUtils::PRODUCT_THUMP_SIZE)
                                    ->save($mainThumbImg, ['quality' => 90]);
                                $otherImg = new PostImage();
                                $otherImg->post_id = $model->id;
                                $otherImg->image = $imageName;
                                $otherImg->save();
                            }
                        }
                    }
                    $params = [
                        'model' => $model,
                    ];
                    Yii::$app->mailer->compose(['html' => 'new-order'],$params)
                        ->setTo(Yii::$app->params['systemEmail'])
                        ->setFrom([Yii::$app->params['noreplyEmail'] => Yii::$app->name])
                        ->setSubject('Yeni sifarish')
                        ->send();
                    return $this->redirect(['view', 'id' => $model->id]);
                }
            }
            else {
                return $this->render('limit');
            }

        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Post model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        if (!Yii::$app->user->can('viewPostPage')) {
            return $this->render('not-subscribed');
        }
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Post model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        if (!Yii::$app->user->can('viewPostPage')) {
            return $this->render('not-subscribed');
        }
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Post model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Post the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Post::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException(Yii::t('main', 'The requested page does not exist.'));
    }


    public function actionBeyenmedim($id)
    {
        if (!Yii::$app->user->can('viewPostPage')) {
            return $this->render('not-subscribed');
        }
        $model = $this->findModel($id);
        $model->completed = 2;
        $model->save(false);
        $params = [
            'model' => $model,
        ];
        Yii::$app->mailer->compose(['html' => 'post-beyenme'],$params)
            ->setTo(Yii::$app->params['systemEmail'])
            ->setFrom([Yii::$app->params['noreplyEmail'] => Yii::$app->name])
            ->setSubject('Post bəyənilmədi')
            ->send();

        return $this->redirect(['index']);
    }
}

backend/views/post/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\models\Post */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="post-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'title')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'description')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'completed')->checkbox() ?>

    <div class="form-group">
        <?= Html::submitButton(Yii::t('main', 'Save'), ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

backend/views/post/_search.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\models\PostSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="post-search">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'user_id') ?>

    <?= $form->field($model, 'title') ?>

    <?= $form->field($model, 'description') ?>

    <?= $form->field($model, 'due_date') ?>

    <?php // echo $form->field($model, 'completed') ?>

    <?php // echo $form->field($model, 'created_at') ?>

    <?php // echo $form->field($model, 'updated_at') ?>

    <div class="form-group">
        <?= Html::submitButton(Yii::t('main', 'Search'), ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton(Yii::t('main', 'Reset'), ['class' => 'btn btn-default']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

backend/views/post/complete.php
<?php
/**
 * Created by PhpStorm.
 * User: ali
 * Date: 2019-01-30
 * Time: 15:58
 */

use kartik\file\FileInput;
use yii\helpers\Html;
use yii\widgets\ActiveForm; ?>
<div class="ui-container">
    <div class="row">
        <div class="col-md-12">
            <div class="panel">
                <div class="panel-heading panel-border"><?= Html::encode($this->title) ?></div>
                <div class="panel-body">

                    <div class="portfolio-form">

                        <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data']]); ?>


                        <?= $form->field($model, 'caption')->textarea() ?>
                        <div class="row">
                            <div class="col-md-12">
                                <?=$form->field($model, 'image')->widget(FileInput::classname(), [
                                    'pluginOptions' => [
                                        'initialPreview' => $model->image ? Yii::getAlias('@post/').$model->image : false,
                                        'initialPreviewAsData' => !empty($model->image),
                                        'showCaption' => false,
                                        'showRemove' => false,
                                        'showUpload' => false,
                                        'browseLabel' =>  $model->isNewRecord ? 'Select post image' : 'Change post image'
                                    ],
                                    'options' => [
                                        'multiple' => false
                                    ],
                                ]);?>
                            </div>
                            <!--        <div class="col-md-6">-->
                            <!--            --><?//=$form->field($model, 'image_b')->widget(FileInput::classname(), [
                            //                'pluginOptions' => [
                            //                    'initialPreview' => $model->image_b ? Yii::getAlias('@portfolio/').$model->image_b : false,
                            //                    'initialPreviewAsData' => !empty($model->image_b),
                            //                    'showCaption' => false,
                            //                    'showRemove' => false,
                            //                    'showUpload' => false,
                            //                    'browseLabel' =>  $model->isNewRecord ? 'Select back image' : 'Change back image'
                            //                ],
                            //                'options' => [
                            //                    'accept' => 'image/*',
                            //                    'multiple' => false
                            //                ],
                            //            ]);?>
                            <!--        </div>-->
                        </div>

                        <div class="form-group">
                            <?= Html::submitButton(Yii::t('main', 'Upload'), ['class' => 'btn btn-success']) ?>
                        </div>

                        <?php ActiveForm::end(); ?>

                    </div>



                </div>
            </div>
        </div>
    </div>
</div>

backend/views/post/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model common\models\Post */

$this->title = Yii::t('main', 'Create Post');
$this->params['breadcrumbs'][] = ['label' => Yii::t('main', 'Posts'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="ui-container">
    <div class="row">
        <div class="col-md-12">
            <div class="panel">
                <div class="panel-heading panel-border"><?= Html::encode($this->title) ?></div>
                <div class="panel-body">

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>
</div>
</div>
</div>
</div>

backend/views/post/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\models\PostSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('main', 'Posts');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="ui-container">
    <div class="row">
        <div class="col-md-12">
            <div class="panel">
                <div class="panel-heading panel-border"><?= Html::encode($this->title) ?></div>
                <div class="panel-body">
    <?php Pjax::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a(Yii::t('main', 'Create Post'), ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <div class="col-md-12">
        <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

        <?php
        $events = array();
        $Event = new \yii2fullcalendar\models\Event();
        foreach ($posts as $post) {
            $Event = new \yii2fullcalendar\models\Event();
            $Event->id = $post->id;
            $Event->title = $post->title;
            $Event->url = Url::to(['/post/view', 'id' => $post->id ]);
            $Event->start = date('Y-m-d',$post->due_date);
            $Event->end = date('Y-m-d',$post->due_date);
            $events[] = $Event;
        }

        ?>

        <?= \yii2fullcalendar\yii2fullcalendar::widget(array(
            'events'=> $events,
            'options' => [
                'lang' => 'en',
            ],
        ));
        ?>
    </div>

<!--    --><?//= GridView::widget([
//        'dataProvider' => $dataProvider,
//        'filterModel' => $searchModel,
//        'columns' => [
//            ['class' => 'yii\grid\SerialColumn'],
//
//            'id',
//            'user_id',
//            'title',
//            'description:ntext',
//            'due_date',
//            //'completed',
//            //'created_at',
//            //'updated_at',
//
//            ['class' => 'yii\grid\ActionColumn'],
//        ],
//    ]); ?>
    <?php Pjax::end(); ?>
</div>
</div>
</div>
</div>
</div>

backend/views/post/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model common\models\Post */

$this->title = Yii::t('main', 'Update Post: ' . $model->title, [
    'nameAttribute' => '' . $model->title,
]);
$this->params['breadcrumbs'][] = ['label' => Yii::t('main', 'Posts'), 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->title, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = Yii::t('main', 'Update');
?>
<div class="ui-container">
    <div class="row">
        <div class="col-md-12">
            <div class="panel">
                <div class="panel-heading panel-border"><?= Html::encode($this->title) ?></div>
                <div class="panel-body">

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>
</div>
</div>
</div>
</div>

backend/views/post/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model common\models\Post */

$this->title = $model->title;
$this->params['breadcrumbs'][] = ['label' => Yii::t('main', 'Posts'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="ui-container">
    <div class="row">
        <div class="col-md-12">
            <div class="panel">
                <div class="panel-heading panel-border"><?= Html::encode($this->title) ?></div>
                <div class="panel-body">

    <p>
        <?php if (!$model->complete): ?>
            <?= Html::a(Yii::t('main', 'Complete'), ['complete', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?php else: ?>
            <?= Html::a(Yii::t('main', 'Edit Completed'), ['edit-complete', 'id' => $model->complete->id], ['class' => 'btn btn-primary']) ?>

        <?php endif;?>        <?= Html::a(Yii::t('main', 'Delete'), ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => Yii::t('main', 'Are you sure you want to delete this item?'),
                'method' => 'post',
            ],
        ]) ?>
    </p>

                    <?= DetailView::widget([
                        'model' => $model,
                        'attributes' => [
                            'id',
                            'title',
                            'description:ntext',
                            [
                                'attribute' => 'due_date',
                                'value' => function($data) {
                                    return date('Y-m-d H:i',$data->due_date);
                                }
                            ],
                            [
                                'attribute' => 'user_id',
                                'value' => function($data) {
                                    return $data->user->username;
                                }
                            ],
                            [
                                'attribute' => 'complated',
                                'value' => function($data) {
                                    switch ($data->completed) {
                                        case 1:
                                            $status = 'Hazırdır';
                                            break;
                                        case 2:
                                            $status = 'Bəyənilmədi';
                                            break;
                                        default:
                                            $status =  "Hazır deyil";
                                            break;

                                    }

                                    return $status;
                                }
                            ],

                            [
                                'attribute' => 'category_id',
                                'value' => function($data) {
                                    return \common\models\Post::getCategory($data->category_id);
                                }
                            ],
                            [
                                'attribute' => 'created_at',
                                'value' => function($data) {
                                    return date('Y-m-d H:i',$data->created_at);
                                }
                            ],
                        ],
                    ]) ?>
                    <div class="row">
                        <?php foreach ($model->images as $image):?>
                            <div class="col-md-4">
                                <a href="<?=Yii::getAlias('@post/').$image->image?>">
                                    <img class="img-responsive" src="<?=Yii::getAlias('@post/').$image->image?>">
                                </a>

                            </div>

                        <?php endforeach;?>
                    </div>
</div>
</div>
</div>
</div>
</div>